Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 01 Dec 2022 16:33:34 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have been chasing for my delivery. No proper assitance at all. Service is appalling. All claims on the app for having delivery done on same day is a lie. Called thrice and spoke to a supervisor named Abdulla false expectations and loes were set. Dishonest apologies and non interest in customer complaint resolutionplease listen to call if there is quality assurance team which i highly doubt . This is the secobd tine i had ordered. 1st order was one day late. Its understood that there is a third party business doing deliveries small delay is expected but the second order which will be my last order has to been delivered yet in 3 days. Made multiple follow ups and spoken to courier company SMSA multiple times i keep on getting informed it will be delivered. I had a flight on which i was supposed to carry gifts. I have left already,and had put someone else to collect
  on my behalf. Just think of making someone else to wait for 2 whole days for recieving items. I will have to repreat again the service is pathetic and appalling.

P.s. Complaint has been logged at consumer protection and this incident will be shared across all Social media platforms. I have been given plenty of waiting time which i use productively to repost about the experience.

Weve shipped your order 7802686765 with AWB 290367375235. Please click here to track :https://centrepoint.app.link/KCG1VXAGgvb https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5370390